package tmall

import (
	"sync"
)

type InnerClient struct{}

var (
	client = &InnerClient{}
	once   = sync.Once{}
)

func NewClient() *InnerClient {
	once.Do(func() {
		client = &InnerClient{}
	})
	return client
}
